#include <iostream>

using namespace std;

int main()
{
    long long n, i, j, k, br=0, q;
    cin >> n;
    long long a[n];
    for(i=0; i<n; i++)
    {
        cin >> a[i];
    }
    cin >> q;
    long long l[q];
    long long r[q];
    for(i=0; i<q;i++)
    {
        cin >> l[i] >> r[i];
    }
    for(i=0; i<q; i++)
    {
        br=0;
        k=0;
        j = l[i]-1;
        while(k!=1 && j<r[i]-1)
        {
            if(a[j]>a[j+1])
                br++;
            if(br>1)
            {
                cout << "NE" << endl;
                k=1;
            }
            j++;
        }
        if(br<=1)
            cout << "DA" << endl;
    }
}